DaemonForums  

Go Back   DaemonForums > FreeBSD > FreeBSD Installation and Upgrading

FreeBSD Installation and Upgrading Installing and upgrading FreeBSD.

Reply
 
Thread Tools Display Modes
  #1   (View Single Post)  
Old 13th April 2010
Noclue Noclue is offline
New User
 
Join Date: Apr 2010
Posts: 1
Thanked 0 Times in 0 Posts
Default [Beginner]perl-5.10.1 conflicts with installed package(s):

Hello,

iam trying to install emacs via ports but now i received following error message

Quote:
===> perl-5.10.1 conflicts with installed package(s):
perl-5.8.8_1

They install files into the same place.
Please remove them first with pkg_delete(1).
*** Error code 1

Stop in /usr/ports/lang/perl5.10.
*** Error code 1

Stop in /usr/ports/lang/perl5.10.
*** Error code 1

Stop in /usr/ports/devel/autoconf262.
*** Error code 1

Stop in /usr/ports/editors/emacs.
*** Error code 1

Can anyone tell me a solution !?
Reply With Quote
  #2   (View Single Post)  
Old 13th April 2010
TerryP's Avatar
TerryP TerryP is offline
Arp Constable
 
Join Date: May 2008
Location: USofA
Posts: 1,547
Thanked 112 Times in 104 Posts
Default

It means you need to upgrade from perl-5.8.8_1 to perl-5.10.1.

The irksome side is having to upgrade some things that depend on a given perl build and the various perl modules.
__________________
My Journal

Thou shalt check the array bounds of all strings (indeed, all arrays), for surely where thou typest ``foo'' someone someday shall type ``supercalifragilisticexpialidocious''.
Reply With Quote
  #3   (View Single Post)  
Old 13th April 2010
DutchDaemon's Avatar
DutchDaemon DutchDaemon is offline
Real Name: Ben
Spam Refugee
 
Join Date: Jul 2008
Location: Rotterdam, The Netherlands
Posts: 337
Thanked 32 Times in 30 Posts
Default

See entry '20090328' in /usr/ports/UPDATING.
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
FreeBSD ports conflicts handling J65nko FreeBSD Ports and Packages 1 17th January 2010 05:16 PM
libslang2-2.1.4 conflicts with installed package(s): libslang-1.4.9 edhunter FreeBSD Ports and Packages 1 9th October 2008 10:52 AM
perl/tk bsdnewbie999 OpenBSD Packages and Ports 4 8th August 2008 12:34 AM
Perl Script c0mrade Programming 1 26th June 2008 05:04 AM
gnome; librsvg package conflicts bsdnewbie999 OpenBSD General 8 21st June 2008 09:08 AM


All times are GMT. The time now is 09:06 PM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content copyright © 2007-2010, the authors
Daemon image copyright ©1988, Marshall Kirk McKusick